## udhcp 0.9.8cvs20040708

=== Makefile ===
# udhcp makefile

prefix=/usr
SBINDIR=/sbin
USRSBINDIR=${prefix}/sbin
USRBINDIR=${prefix}/bin
USRSHAREDIR=${prefix}/share

# Uncomment this to get a shared binary. Call as udhcpd for the server,
# and udhcpc for the client
COMBINED_BINARY=1

# Uncomment this for extra output and to compile with debugging symbols
#UDHCP_DEBUG=1

# Uncomment this to output messages to syslog, otherwise, messages go to stdout
#CFLAGS += -DUDHCP_SYSLOG

#CROSS_COMPILE=arm-uclibc-
CC = $(CROSS_COMPILE)gcc
LD = $(CROSS_COMPILE)gcc
INSTALL = install

OBJS_SHARED = common.o options.o packet.o pidfile.o signalpipe.o socket.o
DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o
DHCPC_OBJS = dhcpc.o clientpacket.o clientsocket.o script.o

ifdef COMBINED_BINARY
EXEC1 = udhcpd
OBJS1 = $(DHCPD_OBJS) $(DHCPC_OBJS) $(OBJS_SHARED) frontend.o
CFLAGS += -DCOMBINED_BINARY
else
EXEC1 = udhcpd
OBJS1 = $(DHCPD_OBJS) $(OBJS_SHARED)

EXEC2 = udhcpc
OBJS2 = $(DHCPC_OBJS) $(OBJS_SHARED)
endif

EXEC3 = dumpleases
OBJS3 = dumpleases.o

BOOT_PROGRAMS = udhcpc
DAEMONS = udhcpd
COMMANDS = dumpleases

ifdef UDHCP_SYSLOG
CFLAGS += -DUDHCP_SYSLOG
endif

CFLAGS += -W -Wall -Wstrict-prototypes -D_GNU_SOURCE

ifdef UDHCP_DEBUG
CFLAGS += -g -DUDHCP_DEBUG
STRIP=true
else
CFLAGS += -Os -fomit-frame-pointer
STRIP=$(CROSS_COMPILE)strip
endif

all: $(EXEC1) $(EXEC2) $(EXEC3)
	$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) $(EXEC3)

$(OBJS1) $(OBJS2) $(OBJS3): *.h Makefile
$(EXEC1) $(EXEC2) $(EXEC3): Makefile

.c.o:
	$(CC) -c $(CFLAGS) $<
	
$(EXEC1): $(OBJS1)
	$(LD) $(LDFLAGS) $(OBJS1) -o $(EXEC1)

$(EXEC2): $(OBJS2)
	$(LD) $(LDFLAGS) $(OBJS2) -o $(EXEC2)

$(EXEC3): $(OBJS3)
	$(LD) $(LDFLAGS) $(OBJS3) -o $(EXEC3)


install: all

	$(INSTALL) $(DAEMONS) $(USRSBINDIR)
	$(INSTALL) $(COMMANDS) $(USRBINDIR)
ifdef COMBINED_BINARY
	ln -sf $(USRSBINDIR)/$(DAEMONS) $(SBINDIR)/$(BOOT_PROGRAMS)
else
	$(INSTALL) $(BOOT_PROGRAMS) $(SBINDIR)
endif
	mkdir -p $(USRSHAREDIR)/udhcpc
	for name in bound deconfig renew script ; do \
		$(INSTALL) samples/sample.$$name \
			$(USRSHAREDIR)/udhcpc/default.$$name ; \
	done
	mkdir -p $(USRSHAREDIR)/man/man1
	$(INSTALL) dumpleases.1 $(USRSHAREDIR)/man/man1
	mkdir -p $(USRSHAREDIR)/man/man5
	$(INSTALL) udhcpd.conf.5 $(USRSHAREDIR)/man/man5
	mkdir -p $(USRSHAREDIR)/man/man8
	$(INSTALL) udhcpc.8 udhcpd.8 $(USRSHAREDIR)/man/man8

clean:
	-rm -f udhcpd udhcpc dumpleases *.o core

## udhcp 0.9.8cvs20050124

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 # udhcp makefile
 
-prefix=/usr
-SBINDIR=/sbin
-USRSBINDIR=${prefix}/sbin
-USRBINDIR=${prefix}/bin
-USRSHAREDIR=${prefix}/share
+DESTDIR     = 
+prefix      = /usr
+SBINDIR     = /sbin
+USRSBINDIR  = $(DESTDIR)${prefix}/sbin
+USRBINDIR   = $(DESTDIR)${prefix}/bin
+USRSHAREDIR = $(DESTDIR)${prefix}/share
 
 # Uncomment this to get a shared binary. Call as udhcpd for the server,
 # and udhcpc for the client
@@ -22,7 +23,7 @@
 INSTALL = install
 
 OBJS_SHARED = common.o options.o packet.o pidfile.o signalpipe.o socket.o
-DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o
+DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o static_leases.o
 DHCPC_OBJS = dhcpc.o clientpacket.o clientsocket.o script.o
 
 ifdef COMBINED_BINARY
@@ -40,9 +41,9 @@
 EXEC3 = dumpleases
 OBJS3 = dumpleases.o
 
-BOOT_PROGRAMS = udhcpc
-DAEMONS = udhcpd
-COMMANDS = dumpleases
+BOOT_PROGRAM = udhcpc
+DAEMON = udhcpd
+COMMAND = dumpleases
 
 ifdef UDHCP_SYSLOG
 CFLAGS += -DUDHCP_SYSLOG
@@ -78,26 +79,25 @@
 
 
 install: all
-
-	$(INSTALL) $(DAEMONS) $(USRSBINDIR)
-	$(INSTALL) $(COMMANDS) $(USRBINDIR)
+	mkdir -p $(USRSBINDIR) $(USRBINDIR) 
+	$(INSTALL) -m 755 $(DAEMON) $(USRSBINDIR)
+	$(INSTALL) -m 755 $(COMMAND) $(USRBINDIR)
 ifdef COMBINED_BINARY
-	ln -sf $(USRSBINDIR)/$(DAEMONS) $(SBINDIR)/$(BOOT_PROGRAMS)
+	ln -sf $(DAEMON) $(USRSBINDIR)/$(BOOT_PROGRAM)
 else
-	$(INSTALL) $(BOOT_PROGRAMS) $(SBINDIR)
+	$(INSTALL) -m 755 $(BOOT_PROGRAM) $(USRSBINDIR)
 endif
 	mkdir -p $(USRSHAREDIR)/udhcpc
-	for name in bound deconfig renew script ; do \
-		$(INSTALL) samples/sample.$$name \
+	for name in bound deconfig nak renew script ; do \
+		$(INSTALL) -m 755 samples/sample.$$name \
 			$(USRSHAREDIR)/udhcpc/default.$$name ; \
 	done
 	mkdir -p $(USRSHAREDIR)/man/man1
-	$(INSTALL) dumpleases.1 $(USRSHAREDIR)/man/man1
+	$(INSTALL) -m 644 dumpleases.1 $(USRSHAREDIR)/man/man1
 	mkdir -p $(USRSHAREDIR)/man/man5
-	$(INSTALL) udhcpd.conf.5 $(USRSHAREDIR)/man/man5
+	$(INSTALL) -m 644 udhcpd.conf.5 $(USRSHAREDIR)/man/man5
 	mkdir -p $(USRSHAREDIR)/man/man8
-	$(INSTALL) udhcpc.8 udhcpd.8 $(USRSHAREDIR)/man/man8
+	$(INSTALL) -m 644 udhcpc.8 udhcpd.8 $(USRSHAREDIR)/man/man8
 
 clean:
 	-rm -f udhcpd udhcpc dumpleases *.o core
-

## udhcp 0.9.8cvs20050303-2osso6

=== debian/changelog ===
udhcp (0.9.8cvs20050303-2osso6) unstable; urgency=low

  * Go back to INIT_SELECTING when NAK is received during DHCP RENEW.
    Fixes: NB#87429

 -- Luciano Coelho <luciano.coelho@nokia.com>  Mon, 25 Aug 2008 18:27:51 +0300

udhcp (0.9.8cvs20050303-2osso5) unstable; urgency=low

  * Improved client logging.
  * Added sec field support to client. Fixes: NB#74876
  * Applied retrycount patch to client.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 17 Dec 2007 10:07:25 +0200

udhcp (0.9.8cvs20050303-2osso4) unstable; urgency=low

  * Remove packet size check which prevents workaround. Fixes: NB#74211
  * Attempt to fix memory corruption found in robustness testing.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  8 Nov 2007 17:45:34 +0200

udhcp (0.9.8cvs20050303-2osso3) unstable; urgency=low

  * Create debug package. Fixes: NB#74336

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 26 Oct 2007 16:44:00 +0300

udhcp (0.9.8cvs20050303-2osso2) unstable; urgency=low

  * Convert uptimes to absolute times in zeroconf. Fixes: NB#60729

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 15 Jun 2007 09:42:34 +0300

udhcp (0.9.8cvs20050303-2osso1) unstable; urgency=low

  * New upstream version
  * Write resolv.conf to /var/run (OSSO patch)
  * Receive oversized DHCP messages (OSSO patch)
  * Applied a zeroconf patch by Elvis Pfutzenreuter (OSSO patch)
  * Zeroconf is started only after no DHCP servers found (OSSO patch)
  * Enabled thumb code generation (OSSO patch)

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  1 Jun 2007 14:24:41 +0300

udhcp (0.9.8cvs20050303-2) unstable; urgency=low

  * Fix correct number of leases (closes: #341139 - thanks to Ferenc Wagner)
  * Make sure we close unbound sockets (closes: #336507 - thanks to Neil 
    Turton)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Fri, 16 Dec 2005 20:31:09 +0100

udhcp (0.9.8cvs20050303-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue, 20 Sep 2005 18:48:02 +0200

udhcp (0.9.8cvs20050124-6) unstable; urgency=low

  * Avoid spurious calls in /etc/default.bound (closes:#312332)
  * Bring up the interface, whether resolvconf is installed or not 
    (closes:#302658)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sun, 18 Sep 2005 21:25:37 +0200

udhcp (0.9.8cvs20050124-5) unstable; urgency=low

  * Allow udhcpc to set up hostname (closes: #234182)
  * Added /etc/udhcpc/default.leasefail (closes: #302655)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue,  7 Jun 2005 13:40:10 +0200

udhcp (0.9.8cvs20050124-4) unstable; urgency=low

  * Simplify default.bound and default.renew (closes: #302656)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sat,  2 Apr 2005 21:22:05 +0200

udhcp (0.9.8cvs20050124-3) unstable; urgency=low

  * Avoid calling resolvconf several times.

 -- Eric Van Buggenhaut <ericvb@debian.org>  Fri,  1 Apr 2005 23:04:55 +0200

udhcp (0.9.8cvs20050124-2) unstable; urgency=low

  * Added /etc/udhcpc/default.nak script
  * Let udhcpc use resolvconf (closes: #302019)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu, 31 Mar 2005 22:38:26 +0200

udhcp (0.9.8cvs20050124-1) unstable; urgency=low

  * New upstream release
  * Replace all strcpy by strncpy (closes: #283582)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Mon, 14 Mar 2005 22:51:51 +0100

udhcp (0.9.8cvs20040708-4) unstable; urgency=low

  * Let udhcpc to ask for a rootpath (closes: #279110)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue,  2 Nov 2004 16:34:38 +0100

udhcp (0.9.8cvs20040708-3) unstable; urgency=high

  * Keep removal script from choking when udhcpd isn't running.
    We now use prerm to stop the daemon, which is the Good Way(c) to do it.
    (closes: #268955) thanks to Oliver Kurth.
  * Urgency raised to high because if fixes a serious bug and 2 policy
    violations.

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue, 31 Aug 2004 00:59:37 +0200

udhcp (0.9.8cvs20040708-2) unstable; urgency=low

  * Make sure udhcpd is stopped when removing or purging the package
    (closes: #263562)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sun, 15 Aug 2004 19:49:33 +0200

udhcp (0.9.8cvs20040708-1) unstable; urgency=low

  * CVS snapshot as from 2004/07/08. Since 0.9.9 is still pending and 0.9.8
    was released more than 2 years ago, this update could be useful.
  * included wpad option (closes: #235969)
  * closes: #257122.
  * now sends log messages to syslog instead of stdout

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu,  8 Jul 2004 21:45:54 +0200

udhcp (0.9.8-6) unstable; urgency=low

  * Better package description in debian/control (closes: #209591,#209694)
  * Cosmetic changes in debian/copyright
  * Updated Standards version

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue,  9 Sep 2003 23:31:02 +0200

udhcp (0.9.8-5) unstable; urgency=low

  * Removed the obsolete udhcpc-udeb (closes: #191232)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed, 30 Apr 2003 00:41:31 +0200

udhcp (0.9.8-4) unstable; urgency=low

  * New maitainer (closes: #188106).
  * Stop forking when failing to obtain a release (closes: #188056).

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed,  9 Apr 2003 03:24:03 +0200

udhcp (0.9.8-3) unstable; urgency=low

  * Do not log to stderr (closes: #173044).
  * Provide dhcp-client (closes: #179165).

 -- Matt Kraai <kraai@debian.org>  Mon, 10 Feb 2003 10:36:36 -0800

udhcp (0.9.8-2) unstable; urgency=low

  * Make udhcpc scripts conffiles (closes: #172150).

 -- Matt Kraai <kraai@debian.org>  Mon,  9 Dec 2002 10:51:00 -0800

udhcp (0.9.8-1) unstable; urgency=low

  * Package new release (trick or treat).
  * Remove /usr/doc handling from postinsts and prerms.
  * Update Debian copyright file.
  * Update Standards-Version.

 -- Matt Kraai <kraai@debian.org>  Thu, 31 Oct 2002 15:19:48 -0800

udhcp (0.9.7-4) unstable; urgency=low

  * Create udhcpc-udeb.

 -- Matt Kraai <kraai@debian.org>  Tue, 17 Sep 2002 08:21:41 -0700

udhcp (0.9.7-3) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f

version=$(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2)
architecture=$(shell dpkg --print-architecture)

CFLAGS += -ggdb

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

build:
	$(checkdir)
	CFLAGS="$(CFLAGS)" $(MAKE)
	touch build

clean:
	$(checkdir)
	-$(MAKE) -i clean
	-rm -rf build debian/tmp debian/udhcpc-dbg debian/files debian/substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	rm -fr debian/tmp

	# Build udhcpc package.
	install -d -m 755 debian/tmp/DEBIAN
	install -d -m 755 debian/udhcpc-dbg/DEBIAN
	install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles

	install -d -m 755 debian/tmp/usr/share/doc/udhcpc
	#install -m 644 README debian/tmp/usr/share/doc/udhcpc
	install -m 644 README.udhcpc debian/tmp/usr/share/doc/udhcpc/README
	install -m 644 ChangeLog debian/tmp/usr/share/doc/udhcpc/changelog
	install -m 644 debian/changelog debian/tmp/usr/share/doc/udhcpc/changelog.Debian
	gzip -9v debian/tmp/usr/share/doc/udhcpc/*
	install -m 644 debian/copyright debian/tmp/usr/share/doc/udhcpc

	install -d -m 755 debian/tmp/usr/share/man/man8
	install -m 644 udhcpc.8 debian/tmp/usr/share/man/man8
	gzip -9v debian/tmp/usr/share/man/man8/udhcpc.8

	install -d -m 755 debian/tmp/sbin
	install -m 755 udhcpc debian/tmp/sbin/udhcpc
	dh_strip --dbg-package=udhcpc

	install -d -m 755 debian/tmp/etc/udhcpc
	for name in leasefail bound deconfig renew script nak; do \
		install -m 755 samples/sample.$$name debian/tmp/etc/udhcpc/default.$$name ; \
	done

	dpkg-shlibdeps udhcpc
	dpkg-gencontrol -isp -pudhcpc
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

	rm -fr debian/tmp

	# Build debug package
	dpkg-gencontrol -isp -pudhcpc-dbg -Pdebian/udhcpc-dbg
	chown -R root.root debian/udhcpc-dbg
	chmod -R go=rX debian/udhcpc-dbg
	dpkg --build debian/udhcpc-dbg ..

	# Build udhcpd package.
	install -d -m 755 debian/tmp/DEBIAN
	install -m 755 debian/postinst.udhcpd debian/tmp/DEBIAN/postinst
	install -m 755 debian/postrm.udhcpd debian/tmp/DEBIAN/postrm
	install -m 755 debian/prerm.udhcpd debian/tmp/DEBIAN/prerm
	install -m 644 debian/conffiles.udhcpd debian/tmp/DEBIAN/conffiles

	install -d -m 755 debian/tmp/usr/share/doc/udhcpd
	#install -m 644 README debian/tmp/usr/share/doc/udhcpd
	install -m 644 README.udhcpd debian/tmp/usr/share/doc/udhcpd/README
	install -m 644 ChangeLog debian/tmp/usr/share/doc/udhcpd/changelog
	install -m 644 debian/changelog debian/tmp/usr/share/doc/udhcpd/changelog.Debian
	gzip -9v debian/tmp/usr/share/doc/udhcpd/*
	install -m 644 debian/copyright debian/tmp/usr/share/doc/udhcpd

	install -d -m 755 debian/tmp/usr/share/doc/udhcpd/examples
	install -m 644 samples/udhcpd.conf debian/tmp/usr/share/doc/udhcpd/examples

	install -d -m 755 debian/tmp/usr/share/man/man1
	install -m 644 dumpleases.1 debian/tmp/usr/share/man/man1
	gzip -9v debian/tmp/usr/share/man/man1/dumpleases.1

	install -d -m 755 debian/tmp/usr/share/man/man5
	install -m 644 udhcpd.conf.5 debian/tmp/usr/share/man/man5
	gzip -9v debian/tmp/usr/share/man/man5/udhcpd.conf.5

	install -d -m 755 debian/tmp/usr/share/man/man8
	install -m 644 udhcpd.8 debian/tmp/usr/share/man/man8
	gzip -9v debian/tmp/usr/share/man/man8/udhcpd.8

	install -d -m 755 debian/tmp/usr/sbin
	install -m 755 udhcpd debian/tmp/usr/sbin/udhcpd
	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/sbin/udhcpd

	install -d -m 755 debian/tmp/usr/bin
	install -m 755 dumpleases debian/tmp/usr/bin/dumpleases
	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/usr/bin/dumpleases

	install -d -m 755 debian/tmp/etc/init.d
	install -m 755 debian/udhcpd debian/tmp/etc/init.d
	
	mkdir -p debian/tmp/var/lib/misc
	touch debian/tmp/var/lib/misc/udhcpd.leases

	dpkg-shlibdeps udhcpd
	dpkg-gencontrol -isp -pudhcpd
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

	rm -fr debian/tmp

define checkdir
	test -f dhcpc.c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## udhcp 0.9.8cvs20050303-2osso7

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,20 @@
 
 # Uncomment this to get a shared binary. Call as udhcpd for the server,
 # and udhcpc for the client
-COMBINED_BINARY=1
+#COMBINED_BINARY=1
 
 # Uncomment this for extra output and to compile with debugging symbols
 #UDHCP_DEBUG=1
 
+# Uncomment this if you want to include Zeroconf support directly in DHCP client
+ZEROCONF=1
+
 # Uncomment this to output messages to syslog, otherwise, messages go to stdout
-#CFLAGS += -DUDHCP_SYSLOG
+CFLAGS += -DUDHCP_SYSLOG
+
+ifdef ZEROCONF
+CFLAGS += -DUDHCP_ZEROCONF
+endif
 
 #CROSS_COMPILE=arm-uclibc-
 CC = $(CROSS_COMPILE)gcc
@@ -25,6 +32,10 @@
 OBJS_SHARED = common.o options.o packet.o pidfile.o signalpipe.o socket.o
 DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o static_leases.o
 DHCPC_OBJS = dhcpc.o clientpacket.o clientsocket.o script.o
+
+ifdef ZEROCONF
+DHCPC_OBJS += zeroconf.o
+endif
 
 ifdef COMBINED_BINARY
 EXEC1 = udhcpd
@@ -60,7 +71,7 @@
 endif
 
 all: $(EXEC1) $(EXEC2) $(EXEC3)
-	$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) $(EXEC3)
+	#$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) $(EXEC3)
 
 $(OBJS1) $(OBJS2) $(OBJS3): *.h Makefile
 $(EXEC1) $(EXEC2) $(EXEC3): Makefile

=== debian/changelog ===
udhcp (0.9.8cvs20050303-2osso7) unstable; urgency=low

  * Mysterious crashes fixed by changing the compile flags. Fixes: NB#91797

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 26 Nov 2008 10:27:05 +0200

=== debian/control ===
Source: udhcp
Section: net
Priority: optional
Depends: debhelper
Maintainer: Aapo Makela <aapo.makela@nokia.com>
Standards-Version: 3.6.2

Package: udhcpc
Section: net
Architecture: any
Provides: dhcp-client
Depends: ${shlibs:Depends}
Suggests: resolvconf
Description: very small DHCP client
 DHCP is a protocol like BOOTP (actually dhcpd includes much of
 the functionality of BOOTPD!). It assigns IP addresses to clients
 based on lease times.
 This package is primarily geared towards embedded systems. It does however,
 strive to be fully functional, and RFC compliant.
 .
 This is the client-side application.

Package: udhcpc-dbg
Section: devel
Architecture: any
Depends: udhcpc (=${Source-Version})
Description: Debug symbols for udhcpc
 Debug symbols for udhcpc

Package: udhcpd
Section: net
Architecture: any
Provides: dhcp3-server
Depends: ${shlibs:Depends}
Description: very small DHCP server
 DHCP is a protocol like BOOTP (actually dhcpd includes much of
 the functionality of BOOTPD!). It assigns IP addresses to clients
 based on lease times.
 This package is primarily geared towards embedded systems. It does however,
 strive to be fully functional, and RFC compliant.
 .
 This is the server-side application.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -Os
+	CFLAGS += -O2
 endif
 
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
@@ -112,7 +112,7 @@
 
 	install -d -m 755 debian/tmp/etc/init.d
 	install -m 755 debian/udhcpd debian/tmp/etc/init.d
-	
+
 	mkdir -p debian/tmp/var/lib/misc
 	touch debian/tmp/var/lib/misc/udhcpd.leases

## udhcp 0.9.8cvs20050303-2.1

=== debian/changelog ===
udhcp (0.9.8cvs20050303-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468168)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 00:13:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: udhcp
 Section: net
 Priority: optional
-Depends: debhelper
-Maintainer: Aapo Makela <aapo.makela@nokia.com>
+Maintainer: Eric Van Buggenhaut <ericvb@debian.org>
 Standards-Version: 3.6.2
 
 Package: udhcpc
@@ -20,13 +19,6 @@
  .
  This is the client-side application.
 
-Package: udhcpc-dbg
-Section: devel
-Architecture: any
-Depends: udhcpc (=${Source-Version})
-Description: Debug symbols for udhcpc
- Debug symbols for udhcpc
-
 Package: udhcpd
 Section: net
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,27 +3,15 @@
 version=$(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2)
 architecture=$(shell dpkg --print-architecture)
 
-CFLAGS += -ggdb
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
-endif
-
 build:
 	$(checkdir)
-	CFLAGS="$(CFLAGS)" $(MAKE)
+	$(MAKE)
 	touch build
 
 clean:
 	$(checkdir)
 	-$(MAKE) -i clean
-	-rm -rf build debian/tmp debian/udhcpc-dbg debian/files debian/substvars
+	-rm -rf build debian/tmp debian/files debian/substvars
 
 binary-indep: checkroot build
 	$(checkdir)
@@ -34,7 +22,6 @@
 
 	# Build udhcpc package.
 	install -d -m 755 debian/tmp/DEBIAN
-	install -d -m 755 debian/udhcpc-dbg/DEBIAN
 	install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles
 
 	install -d -m 755 debian/tmp/usr/share/doc/udhcpc
@@ -51,7 +38,7 @@
 
 	install -d -m 755 debian/tmp/sbin
 	install -m 755 udhcpc debian/tmp/sbin/udhcpc
-	dh_strip --dbg-package=udhcpc
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/sbin/udhcpc
 
 	install -d -m 755 debian/tmp/etc/udhcpc
 	for name in leasefail bound deconfig renew script nak; do \
@@ -65,12 +52,6 @@
 	dpkg --build debian/tmp ..
 
 	rm -fr debian/tmp
-
-	# Build debug package
-	dpkg-gencontrol -isp -pudhcpc-dbg -Pdebian/udhcpc-dbg
-	chown -R root.root debian/udhcpc-dbg
-	chmod -R go=rX debian/udhcpc-dbg
-	dpkg --build debian/udhcpc-dbg ..
 
 	# Build udhcpd package.
 	install -d -m 755 debian/tmp/DEBIAN
@@ -112,7 +93,7 @@
 
 	install -d -m 755 debian/tmp/etc/init.d
 	install -m 755 debian/udhcpd debian/tmp/etc/init.d
-
+	
 	mkdir -p debian/tmp/var/lib/misc
 	touch debian/tmp/var/lib/misc/udhcpd.leases

## udhcp 0.9.8cvs20050303-2.1maemo1

=== debian/changelog ===
udhcp (0.9.8cvs20050303-2.1maemo1) unstable; urgency=low

  * removed udhcpc from control file

 -- Andre Rodrigues <andre.rodrigues@signove.com>  Mon, 14 Sep 2009 11:17:58 -0300

## udhcp 0.9.8cvs20050303-2.1maemo2

=== Makefile ===
--- 
+++ 
@@ -14,15 +14,8 @@
 # Uncomment this for extra output and to compile with debugging symbols
 #UDHCP_DEBUG=1
 
-# Uncomment this if you want to include Zeroconf support directly in DHCP client
-ZEROCONF=1
-
 # Uncomment this to output messages to syslog, otherwise, messages go to stdout
 CFLAGS += -DUDHCP_SYSLOG
-
-ifdef ZEROCONF
-CFLAGS += -DUDHCP_ZEROCONF
-endif
 
 #CROSS_COMPILE=arm-uclibc-
 CC = $(CROSS_COMPILE)gcc
@@ -32,10 +25,6 @@
 OBJS_SHARED = common.o options.o packet.o pidfile.o signalpipe.o socket.o
 DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o static_leases.o
 DHCPC_OBJS = dhcpc.o clientpacket.o clientsocket.o script.o
-
-ifdef ZEROCONF
-DHCPC_OBJS += zeroconf.o
-endif
 
 ifdef COMBINED_BINARY
 EXEC1 = udhcpd
@@ -71,7 +60,7 @@
 endif
 
 all: $(EXEC1) $(EXEC2) $(EXEC3)
-	#$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) $(EXEC3)
+	$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) $(EXEC3)
 
 $(OBJS1) $(OBJS2) $(OBJS3): *.h Makefile
 $(EXEC1) $(EXEC2) $(EXEC3): Makefile

=== debian/changelog ===
udhcp (0.9.8cvs20050303-2.1maemo2) unstable; urgency=low

  * Version increase to compile with new fremantle SDK (autobuilder)

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Wed, 18 Nov 2009 18:11:42 -0300

=== debian/control ===
Source: udhcp
Section: net
Priority: optional
Maintainer: Eric Van Buggenhaut <ericvb@debian.org>
Standards-Version: 3.6.2

Package: udhcpd
Section: net
Architecture: any
Provides: dhcp3-server
Depends: ${shlibs:Depends}
Description: very small DHCP server
 DHCP is a protocol like BOOTP (actually dhcpd includes much of
 the functionality of BOOTPD!). It assigns IP addresses to clients
 based on lease times.
 This package is primarily geared towards embedded systems. It does however,
 strive to be fully functional, and RFC compliant.
 .
 This is the server-side application.

=== debian/rules ===
--- 
+++ 
@@ -21,37 +21,37 @@
 	rm -fr debian/tmp
 
 	# Build udhcpc package.
-	install -d -m 755 debian/tmp/DEBIAN
-	install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles
+	#install -d -m 755 debian/tmp/DEBIAN
+	#install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles
 
-	install -d -m 755 debian/tmp/usr/share/doc/udhcpc
-	#install -m 644 README debian/tmp/usr/share/doc/udhcpc
-	install -m 644 README.udhcpc debian/tmp/usr/share/doc/udhcpc/README
-	install -m 644 ChangeLog debian/tmp/usr/share/doc/udhcpc/changelog
-	install -m 644 debian/changelog debian/tmp/usr/share/doc/udhcpc/changelog.Debian
-	gzip -9v debian/tmp/usr/share/doc/udhcpc/*
-	install -m 644 debian/copyright debian/tmp/usr/share/doc/udhcpc
+	#install -d -m 755 debian/tmp/usr/share/doc/udhcpc
+	##install -m 644 README debian/tmp/usr/share/doc/udhcpc
+	#install -m 644 README.udhcpc debian/tmp/usr/share/doc/udhcpc/README
+	#install -m 644 ChangeLog debian/tmp/usr/share/doc/udhcpc/changelog
+	#install -m 644 debian/changelog debian/tmp/usr/share/doc/udhcpc/changelog.Debian
+	#gzip -9v debian/tmp/usr/share/doc/udhcpc/*
+	#install -m 644 debian/copyright debian/tmp/usr/share/doc/udhcpc
 
-	install -d -m 755 debian/tmp/usr/share/man/man8
-	install -m 644 udhcpc.8 debian/tmp/usr/share/man/man8
-	gzip -9v debian/tmp/usr/share/man/man8/udhcpc.8
+	#install -d -m 755 debian/tmp/usr/share/man/man8
+	#install -m 644 udhcpc.8 debian/tmp/usr/share/man/man8
+	#gzip -9v debian/tmp/usr/share/man/man8/udhcpc.8
 
-	install -d -m 755 debian/tmp/sbin
-	install -m 755 udhcpc debian/tmp/sbin/udhcpc
-	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/sbin/udhcpc
+	#install -d -m 755 debian/tmp/sbin
+	#install -m 755 udhcpc debian/tmp/sbin/udhcpc
+	#strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/sbin/udhcpc
 
-	install -d -m 755 debian/tmp/etc/udhcpc
-	for name in leasefail bound deconfig renew script nak; do \
-		install -m 755 samples/sample.$$name debian/tmp/etc/udhcpc/default.$$name ; \
-	done
+	#install -d -m 755 debian/tmp/etc/udhcpc
+	#for name in leasefail bound deconfig renew script nak; do \
+	#	install -m 755 samples/sample.$$name debian/tmp/etc/udhcpc/default.$$name ; \
+	#done
 
-	dpkg-shlibdeps udhcpc
-	dpkg-gencontrol -isp -pudhcpc
-	chown -R root.root debian/tmp
-	chmod -R go=rX debian/tmp
-	dpkg --build debian/tmp ..
+	#dpkg-shlibdeps udhcpc
+	#dpkg-gencontrol -isp -pudhcpc
+	#chown -R root.root debian/tmp
+	#chmod -R go=rX debian/tmp
+	#dpkg --build debian/tmp ..
 
-	rm -fr debian/tmp
+	#rm -fr debian/tmp
 
 	# Build udhcpd package.
 	install -d -m 755 debian/tmp/DEBIAN

## udhcp 0.9.8-6osso4

=== debian/changelog ===
udhcp (0.9.8-6osso4) unstable; urgency=low

  * Patch from  Jover Guillem: FTBFS fix for gcc 3.4.
  * DHCP discover messages are now sent 4 times.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 11 Aug 2005 12:35:57 +0300

udhcp (0.9.8-6osso3) unstable; urgency=low

  * DHCP discover packets are sent 20 times 3 seconds apart. This is a
    hack due to WLAN driver issues.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 11 Mar 2005 14:50:08 +0200

udhcp (0.9.8-6osso2) unstable; urgency=low

  * Call script with notresponding argument if no answer from DHCP server.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 14 Jan 2005 09:59:28 +0200

udhcp (0.9.8-6osso1) unstable; urgency=low

  * Write resolv.conf to /var/run

 -- Timo Ters <ext-timo.teras@nokia.com>  Mon, 22 Nov 2004 14:05:25 +0200

udhcp (0.9.8-6osso) unstable; urgency=low

  * Fix a signal handling bug

 -- Timo Ters <ext-timo.teras@nokia.com>  Thu, 01 Jul 2004 13:13:33 +0300

## udhcp 0.9.8-6osso7

=== Makefile ===
# udhcp makefile

prefix=/usr
SBINDIR=/sbin
USRSBINDIR=${prefix}/sbin
USRBINDIR=${prefix}/bin
USRSHAREDIR=${prefix}/share

# Uncomment this to get a shared binary. Call as udhcpd for the server,
# and udhcpc for the client
#COMBINED_BINARY=1

# Uncomment this for extra output and to compile with debugging symbols
#DEBUG=1

# Uncomment this to output messages to syslog, otherwise, messages go to stdout
CFLAGS += -DSYSLOG

#CROSS_COMPILE=arm-uclibc-
CC = $(CROSS_COMPILE)gcc
LD = $(CROSS_COMPILE)gcc
INSTALL = install

VER := 0.9.8


OBJS_SHARED = options.o socket.o packet.o pidfile.o
DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o
DHCPC_OBJS = dhcpc.o clientpacket.o script.o

ifdef COMBINED_BINARY
EXEC1 = udhcpd
OBJS1 = $(DHCPD_OBJS) $(DHCPC_OBJS) $(OBJS_SHARED) frontend.o
CFLAGS += -DCOMBINED_BINARY
else
EXEC1 = udhcpd
OBJS1 = $(DHCPD_OBJS) $(OBJS_SHARED)

EXEC2 = udhcpc
OBJS2 = $(DHCPC_OBJS) $(OBJS_SHARED)
endif

EXEC3 = dumpleases
OBJS3 = dumpleases.o

BOOT_PROGRAMS = udhcpc
DAEMONS = udhcpd
COMMANDS = dumpleases

ifdef SYSLOG
CFLAGS += -DSYSLOG
endif

CFLAGS += -W -Wall -Wstrict-prototypes -DVERSION='"$(VER)"'

ifdef DEBUG
CFLAGS += -g -DDEBUG
STRIP=true
else
CFLAGS += -Os -fomit-frame-pointer
STRIP=$(CROSS_COMPILE)strip
endif

all: $(EXEC1) $(EXEC2) $(EXEC3)
	$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) $(EXEC3)

$(OBJS1) $(OBJS2) $(OBJS3): *.h Makefile
$(EXEC1) $(EXEC2) $(EXEC3): Makefile

.c.o:
	$(CC) -c $(CFLAGS) $<
	
$(EXEC1): $(OBJS1)
	$(LD) $(LDFLAGS) $(OBJS1) -o $(EXEC1)

$(EXEC2): $(OBJS2)
	$(LD) $(LDFLAGS) $(OBJS2) -o $(EXEC2)

$(EXEC3): $(OBJS3)
	$(LD) $(LDFLAGS) $(OBJS3) -o $(EXEC3)


install: all

	$(INSTALL) $(DAEMONS) $(USRSBINDIR)
	$(INSTALL) $(COMMANDS) $(USRBINDIR)
ifdef COMBINED_BINARY
	ln -sf $(USRSBINDIR)/$(DAEMONS) $(SBINDIR)/$(BOOT_PROGRAMS)
else
	$(INSTALL) $(BOOT_PROGRAMS) $(SBINDIR)
endif
	mkdir -p $(USRSHAREDIR)/udhcpc
	for name in bound deconfig renew script ; do \
		$(INSTALL) samples/sample.$$name \
			$(USRSHAREDIR)/udhcpc/default.$$name ; \
	done
	mkdir -p $(USRSHAREDIR)/man/man1
	$(INSTALL) dumpleases.1 $(USRSHAREDIR)/man/man1
	mkdir -p $(USRSHAREDIR)/man/man5
	$(INSTALL) udhcpd.conf.5 $(USRSHAREDIR)/man/man5
	mkdir -p $(USRSHAREDIR)/man/man8
	$(INSTALL) udhcpc.8 udhcpd.8 $(USRSHAREDIR)/man/man8

clean:
	-rm -f udhcpd udhcpc dumpleases *.o core

=== debian/changelog ===
udhcp (0.9.8-6osso7) unstable; urgency=low

  * Added more log messages to get_raw_packet().
  * Oversized DHCP messages (up to 1500 bytes) are now received and, if
    possible, truncated.
  * Reverted change of increasing the dhcpMessage options field.
  * Do not set broadcast flag, for real this time.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 10 Mar 2006 09:43:52 +0200

udhcp (0.9.8-6osso6) unstable; urgency=low

  * Reverted change in 0.9.8-6osso5, because unicast works ok.
  * Allow DHCP packets with maxium size of 1276. This is a workaround for
    DHCP servers which violate the DHCP spec.
  * Print error messages to log when dropping packets.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Tue,  7 Mar 2006 13:48:38 +0200

udhcp (0.9.8-6osso5) unstable; urgency=low

  * Set broadcast flag in DHCPDISCOVER and DHCPREQUEST, because unicast
    doesn't seem to work.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri,  3 Mar 2006 13:13:01 +0200

=== debian/control ===
Source: udhcp
Section: net
Priority: optional
Maintainer: Eric Van Buggenhaut <ericvb@debian.org>
Standards-Version: 3.6.0

Package: udhcpc
Section: net
Architecture: any
Provides: dhcp-client
Depends: ${shlibs:Depends}
Description: very small DHCP client
 DHCP is a protocol like BOOTP (actually dhcpd includes much of
 the functionality of BOOTPD!). It assigns IP addresses to clients
 based on lease times.
 This package is primarily geared towards embedded systems. It does however,
 strive to be fully functional, and RFC compliant
 .
 This is the client-side application.

Package: udhcpd
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: very small DHCP server
 DHCP is a protocol like BOOTP (actually dhcpd includes much of
 the functionality of BOOTPD!). It assigns IP addresses to clients
 based on lease times.
 This package is primarily geared towards embedded systems. It does however,
 strive to be fully functional, and RFC compliant
 .
 This is the server-side application.

## udhcp 0.9.8-6osso9

=== Makefile ===
--- 
+++ 
@@ -13,9 +13,16 @@
 # Uncomment this for extra output and to compile with debugging symbols
 #DEBUG=1
 
+# Uncomment this if you want to include Zeroconf support directly in DHCP client
+ZEROCONF=1
+
 # Uncomment this to output messages to syslog, otherwise, messages go to stdout
 CFLAGS += -DSYSLOG
 
+ifdef ZEROCONF
+CFLAGS += -DUDHCP_ZEROCONF
+endif
+ 
 #CROSS_COMPILE=arm-uclibc-
 CC = $(CROSS_COMPILE)gcc
 LD = $(CROSS_COMPILE)gcc
@@ -27,6 +34,10 @@
 OBJS_SHARED = options.o socket.o packet.o pidfile.o
 DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o
 DHCPC_OBJS = dhcpc.o clientpacket.o script.o
+
+ifdef ZEROCONF
+DHCPC_OBJS += zeroconf.o
+endif
 
 ifdef COMBINED_BINARY
 EXEC1 = udhcpd

=== debian/changelog ===
udhcp (0.9.8-6osso9) unstable; urgency=low

  * Disabled debugging.
  * Zeroconf is started only after no DHCP servers found.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 11 May 2006 14:13:35 +0300

udhcp (0.9.8-6osso8) unstable; urgency=low

  * Applied a zeroconf patch by Elvis Pfutzenreuter. zeroconf.deconfig is 
    run when SIGUSR2 is received. 

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed, 10 May 2006 09:07:40 +0300

=== debian/rules ===
--- 
+++ 
@@ -21,43 +21,42 @@
 	rm -fr debian/tmp
 
 	# Build udhcpc package.
-	#install -d -m 755 debian/tmp/DEBIAN
-	#install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles
+	install -d -m 755 debian/tmp/DEBIAN
+	install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles
 
-	#install -d -m 755 debian/tmp/usr/share/doc/udhcpc
-	##install -m 644 README debian/tmp/usr/share/doc/udhcpc
-	#install -m 644 README.udhcpc debian/tmp/usr/share/doc/udhcpc/README
-	#install -m 644 ChangeLog debian/tmp/usr/share/doc/udhcpc/changelog
-	#install -m 644 debian/changelog debian/tmp/usr/share/doc/udhcpc/changelog.Debian
-	#gzip -9v debian/tmp/usr/share/doc/udhcpc/*
-	#install -m 644 debian/copyright debian/tmp/usr/share/doc/udhcpc
+	install -d -m 755 debian/tmp/usr/share/doc/udhcpc
+	#install -m 644 README debian/tmp/usr/share/doc/udhcpc
+	install -m 644 README.udhcpc debian/tmp/usr/share/doc/udhcpc/README
+	install -m 644 ChangeLog debian/tmp/usr/share/doc/udhcpc/changelog
+	install -m 644 debian/changelog debian/tmp/usr/share/doc/udhcpc/changelog.Debian
+	gzip -9v debian/tmp/usr/share/doc/udhcpc/*
+	install -m 644 debian/copyright debian/tmp/usr/share/doc/udhcpc
 
-	#install -d -m 755 debian/tmp/usr/share/man/man8
-	#install -m 644 udhcpc.8 debian/tmp/usr/share/man/man8
-	#gzip -9v debian/tmp/usr/share/man/man8/udhcpc.8
+	install -d -m 755 debian/tmp/usr/share/man/man8
+	install -m 644 udhcpc.8 debian/tmp/usr/share/man/man8
+	gzip -9v debian/tmp/usr/share/man/man8/udhcpc.8
 
-	#install -d -m 755 debian/tmp/sbin
-	#install -m 755 udhcpc debian/tmp/sbin/udhcpc
-	#strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/sbin/udhcpc
+	install -d -m 755 debian/tmp/sbin
+	install -m 755 udhcpc debian/tmp/sbin/udhcpc
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/sbin/udhcpc
 
-	#install -d -m 755 debian/tmp/etc/udhcpc
-	#for name in leasefail bound deconfig renew script nak; do \
-	#	install -m 755 samples/sample.$$name debian/tmp/etc/udhcpc/default.$$name ; \
-	#done
+	install -d -m 755 debian/tmp/etc/udhcpc
+	for name in bound deconfig renew script ; do \
+		install -m 755 samples/sample.$$name debian/tmp/etc/udhcpc/default.$$name ; \
+	done
 
-	#dpkg-shlibdeps udhcpc
-	#dpkg-gencontrol -isp -pudhcpc
-	#chown -R root.root debian/tmp
-	#chmod -R go=rX debian/tmp
-	#dpkg --build debian/tmp ..
+	dpkg-shlibdeps udhcpc
+	dpkg-gencontrol -isp -pudhcpc
+	chown -R root.root debian/tmp
+	chmod -R go=rX debian/tmp
+	dpkg --build debian/tmp ..
 
-	#rm -fr debian/tmp
+	rm -fr debian/tmp
 
 	# Build udhcpd package.
 	install -d -m 755 debian/tmp/DEBIAN
 	install -m 755 debian/postinst.udhcpd debian/tmp/DEBIAN/postinst
 	install -m 755 debian/postrm.udhcpd debian/tmp/DEBIAN/postrm
-	install -m 755 debian/prerm.udhcpd debian/tmp/DEBIAN/prerm
 	install -m 644 debian/conffiles.udhcpd debian/tmp/DEBIAN/conffiles
 
 	install -d -m 755 debian/tmp/usr/share/doc/udhcpd
@@ -93,9 +92,6 @@
 
 	install -d -m 755 debian/tmp/etc/init.d
 	install -m 755 debian/udhcpd debian/tmp/etc/init.d
-	
-	mkdir -p debian/tmp/var/lib/misc
-	touch debian/tmp/var/lib/misc/udhcpd.leases
 
 	dpkg-shlibdeps udhcpd
 	dpkg-gencontrol -isp -pudhcpd
